Package com.sleepycat.bind.tuple

## Class BigDecimalBinding

- java.lang.Object
- - com.sleepycat.bind.tuple.TupleBase<E>
  - - com.sleepycat.bind.tuple.TupleBinding<java.math.BigDecimal>
    - - com.sleepycat.bind.tuple.BigDecimalBinding

- All Implemented Interfaces:
    `EntryBinding<java.math.BigDecimal>`

      public class BigDecimalBinding
      extends TupleBinding<java.math.BigDecimal>

  A concrete `TupleBinding` for an unsorted `BigDecimal` value.

  There are two ways to use this class:

  1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
  2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection.
  See Also:
    BigDecimal Formats

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BigDecimalBinding()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `bigDecimalToEntry​(java.math.BigDecimal val, DatabaseEntry entry)` | Converts a `BigDecimal` value into an entry buffer.
    `static java.math.BigDecimal` | `entryToBigDecimal​(DatabaseEntry entry)` | Converts an entry buffer into a `BigDecimal` value.
    `java.math.BigDecimal` | `entryToObject​(TupleInput input)` | Constructs a key or data object from a `TupleInput` entry.
    `protected TupleOutput` | `getTupleOutput​(java.math.BigDecimal object)` | Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
    `void` | `objectToEntry​(java.math.BigDecimal object, TupleOutput output)` | Converts a key or data object to a tuple entry.

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBinding

      `entryToObject, getPrimitiveBinding, objectToEntry`

    - ### Methods inherited from class com.sleepycat.bind.tuple.TupleBase

      `entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalBinding

          public BigDecimalBinding()

  - ### Method Detail

    - #### entryToObject

          public java.math.BigDecimal entryToObject​(TupleInput input)

      Description copied from class: `TupleBinding`
      Constructs a key or data object from a `TupleInput` entry.
      Specified by:
        `entryToObject` in class `TupleBinding<java.math.BigDecimal>`
      Parameters:
        `input` - is the tuple key or data entry.
      Returns:
        the key or data object constructed from the entry.

    - #### objectToEntry

          public void objectToEntry​(java.math.BigDecimal object,
                                    TupleOutput output)

      Description copied from class: `TupleBinding`
      Converts a key or data object to a tuple entry.
      Specified by:
        `objectToEntry` in class `TupleBinding<java.math.BigDecimal>`
      Parameters:
        `object` - is the key or data object.
        `output` - is the tuple entry to which the key or data should be written.

    - #### getTupleOutput

          protected TupleOutput getTupleOutput​(java.math.BigDecimal object)

      Description copied from class: `TupleBase`
      Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

      The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

      This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

      Overrides:
        `getTupleOutput` in class `TupleBase<java.math.BigDecimal>`
      Parameters:
        `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
      Returns:
        an empty TupleOutput instance.
      See Also:
        `TupleBase.setTupleBufferSize(int)`

    - #### entryToBigDecimal

          public static java.math.BigDecimal entryToBigDecimal​(DatabaseEntry entry)

      Converts an entry buffer into a `BigDecimal` value.
      Parameters:
        `entry` - is the source entry buffer.
      Returns:
        the resulting value.

    - #### bigDecimalToEntry

          public static void bigDecimalToEntry​(java.math.BigDecimal val,
                                               DatabaseEntry entry)

      Converts a `BigDecimal` value into an entry buffer.
      Parameters:
        `val` - is the source value.
        `entry` - is the destination entry buffer.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.